stages:
  - s1
  - s2
  - s3
  - s4
default:
  image: alpine:latest
  tags:
      - AT-7

j1:
  stage: s1
  script:
   - echo "J1"
   - sleep 5
j2:
 stage: s1
 script:
  - echo "J2"
  - sleep 19
j3:
 stage: s1
 script:
  - echo "J3"
  - sleep 3
j4:
 stage: s2
 needs:
  - j1
  - j2
 script:
  - echo "J4"
  - sleep 5
j5:
 stage: s2
 needs: [j3]
 script:
  - echo "J5"
  - sleep 6
j6:
  stage: s3
  needs: [j4]
  script:
    - echo "J6"
